Page MenuHomePhabricator

Add Timeline display to visualize query results
Closed, ResolvedPublic

Description

A Timeline display (in addition to Map, Image Grid, etc.) would be useful to visualize the temporal relation of events. In a Table of dates, it’s hard to see at a glance if dates are equidistant, if they cluster around some period of time, etc.

(Originally suggested here.)

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptMay 13 2016, 12:47 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Lydia_Pintscher renamed this task from Add Timeline display to [Story] Add Timeline display to visualize query results.May 13 2016, 4:09 PM
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher added a subscriber: Jonas.

Something like this?

👍, though I hope that the display won’t require ORDER BY ?date to function?

Danny_B renamed this task from [Story] Add Timeline display to visualize query results to Add Timeline display to visualize query results.May 16 2016, 4:04 PM
Danny_B added a project: Story.
Yurik added a subscriber: Yurik.EditedMay 17 2016, 12:22 AM

Lol, seems like this is really peaking up :) I have been trying to formalize it for the past several years, and finally wrote a blog post about it. I think this should not be a query result view, but rather a regular wikidata page view, visualizing entity's both references and reverse references as one stream of items.

@WikidataFacts order is not required
@Yurik WDQS is primary for maintaining data. On Wiki pages we want to have beautiful visualizations like yours. If I can help you out, let me know.

@Smalyshev
There is a problem with parsing negative dates in JS ( ECMA spec ):

Invalid: -051-01-01T00:00:00Z <-- Blazegraph output
Valid: -000051-01-01T00:00:00Z

Change 289610 had a related patch set uploaded (by Jonas Kress (WMDE)):
Introduce TimelineResultBrowser

https://gerrit.wikimedia.org/r/289610

Lydia_Pintscher closed this task as Resolved.May 19 2016, 12:26 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.
Lydia_Pintscher reopened this task as Open.May 23 2016, 2:26 PM
Lydia_Pintscher moved this task from Done to Review on the Wikidata-Sprint-2016-05-10 board.

Change 289610 merged by jenkins-bot:
Introduce TimelineResultBrowser

https://gerrit.wikimedia.org/r/289610

Jonas closed this task as Resolved.May 24 2016, 8:01 PM